Table of Contents

Class: StatefulStringProtocol | Twisted-0.19.0/twisted/protocols/basic.py
--- | ---
### A stateful string protocol. This is a mixin for string protocols (Int32StringReceiver, NetstringReceiver) which translates stringReceived into a callback (prefixed with `proto_`) depending on state.
Methods |
--- | ---
stringReceived
| stringReceived
    stringReceived ( self,  string )
### Choose a protocol phase function and call it. Call back to the appropriate protocol phase; this begins with the function proto_init and moves on to proto_ depending on what each proto_ function returns. (For example, if self.proto_init returns `foo`, then self.proto_foo will be the next function called when a protocol message is received.

Table of Contents

This document was automatically generated on Sun Jul 14 19:52:57 2002 by HappyDoc version 2.0